VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Attributes | List of all members
CMenuItem::Impl Struct Reference

## Public Attributes
UTF8String | title
UTF8String | keyCode
SharedPointer< COptionMenu > | submenu
SharedPointer< CBitmap > | icon
int32_t | flags {0}
int32_t | keyModifiers {0}
VirtualKey | virtualKey {VirtualKey::None}
int32_t | tag {-1}

## Member Data Documentation

int32_t flags {0}

SharedPointer<CBitmap> icon

UTF8String keyCode

int32_t keyModifiers {0}

SharedPointer<COptionMenu> submenu

int32_t tag {-1}

UTF8String title

VirtualKey virtualKey {VirtualKey::None}

The documentation for this struct was generated from the following file:

- coptionmenu.cpp